Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Files

List Files

GET
/v1/files

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

purpose?string
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/files"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "filename": "string",      "purpose": "media_library",      "path": "string",      "size": -9007199254740991,      "type": "string",      "metadata": {        "property1": null,        "property2": null      },      "user_metadata": {        "property1": null,        "property2": null      }    }  ],  "next_page_url": "string",  "previous_page_url": "string"}